Bug 406901 - awstats-6.7-1.fc8 requires httpd package when lighttpd is already installed
awstats-6.7-1.fc8 requires httpd package when lighttpd is already installed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: awstats (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 15:06 EST by Paul
Modified: 2007-12-04 02:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 02:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul 2007-11-30 15:06:06 EST
Description of problem:
Awstats requires httpd even when lighttpd is already installed.  It should be 
possible to install awstats without requiring the user to install Apache.

Version-Release number of selected component (if applicable):
6.7-1.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. yum install awstats
  
Actual results:
[root@proxy ~]# yum install awstats
Excluding Packages in global exclude list
Finished
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package awstats.noarch 0:6.7-1.fc8 set to be updated
--> Processing Dependency: perl(LWP::UserAgent) for package: awstats
--> Processing Dependency: httpd for package: awstats
--> Running transaction check
---> Package httpd.i386 0:2.2.6-3 set to be updated
--> Processing Dependency: libapr-1.so.0 for package: httpd
--> Processing Dependency: httpd-tools = 2.2.6-3 for package: httpd
--> Processing Dependency: libaprutil-1.so.0 for package: httpd
---> Package perl-libwww-perl.noarch 0:5.808-3.fc8 set to be updated
--> Processing Dependency: perl(URI) for package: perl-libwww-perl
--> Processing Dependency: perl(URI::URL) for package: perl-libwww-perl
--> Processing Dependency: perl(HTML::Entities) for package: perl-libwww-perl
--> Processing Dependency: perl(Compress::Zlib) for package: perl-libwww-perl
--> Processing Dependency: perl-HTML-Parser >= 3.33 for package: 
perl-libwww-perl
--> Processing Dependency: perl(URI::Heuristic) for package: perl-libwww-perl
--> Processing Dependency: perl(URI::Escape) for package: perl-libwww-perl
--> Running transaction check
---> Package perl-Compress-Zlib.noarch 0:2.005-2.fc8 set to be updated
--> Processing Dependency: perl(IO::Compress::Gzip) >= 2.005 for package: 
perl-Compress-Zlib
--> Processing Dependency: perl(IO::Uncompress::Gunzip) >= 2.005 for package: 
perl-Compress-Zlib
--> Processing Dependency: perl(Compress::Raw::Zlib) >= 2.005 for package: 
perl-Compress-Zlib
--> Processing Dependency: perl(IO::Compress::Gzip::Constants) >= 2.005 for 
package: perl-Compress-Zlib
--> Processing Dependency: perl(IO::Compress::Base::Common) >= 2.005 for 
package: perl-Compress-Zlib
---> Package apr.i386 0:1.2.11-2 set to be updated
---> Package perl-HTML-Parser.i386 0:3.56-2.fc8 set to be updated
--> Processing Dependency: perl(HTML::Tagset) >= 3.03 for package: 
perl-HTML-Parser
--> Processing Dependency: perl(HTML::Tagset) for package: perl-HTML-Parser
---> Package perl-URI.noarch 0:1.35-3.1 set to be updated
---> Package httpd-tools.i386 0:2.2.6-3 set to be updated
---> Package apr-util.i386 0:1.2.10-2.fc8 set to be updated
--> Running transaction check
---> Package perl-Compress-Raw-Zlib.i386 0:2.005-3.fc8 set to be updated
---> Package perl-IO-Compress-Zlib.noarch 0:2.005-2.fc8 set to be updated
---> Package perl-IO-Compress-Base.noarch 0:2.005-2.fc8 set to be updated
---> Package perl-HTML-Tagset.noarch 0:3.10-6.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 awstats                 noarch     6.7-1.fc8        fedora            1.1 M
Installing for dependencies:
 apr                     i386       1.2.11-2         fedora            126 k
 apr-util                i386       1.2.10-2.fc8     fedora             74 k
 httpd                   i386       2.2.6-3          fedora            950 k
 httpd-tools             i386       2.2.6-3          fedora             68 k
 perl-Compress-Raw-Zlib  i386       2.005-3.fc8      fedora             54 k
 perl-Compress-Zlib      noarch     2.005-2.fc8      fedora             34 k
 perl-HTML-Parser        i386       3.56-2.fc8       fedora            111 k
 perl-HTML-Tagset        noarch     3.10-6.fc8       fedora             15 k
 perl-IO-Compress-Base   noarch     2.005-2.fc8      fedora             53 k
 perl-IO-Compress-Zlib   noarch     2.005-2.fc8      fedora            135 k
 perl-URI                noarch     1.35-3.1         fedora            116 k
 perl-libwww-perl        noarch     5.808-3.fc8      fedora            373 k

Transaction Summary
=============================================================================
Install     13 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 3.2 M
Is this ok [y/N]:
Exiting on user Command

Expected results:
The httpd package not listed as a dependency.

Additional info:
The lighttpd-1.4.18-1.fc8 package is already installed.
Comment 1 Fedora Update System 2007-12-03 06:46:15 EST
awstats-6.7-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-12-03 06:49:26 EST
awstats-6.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Paul 2007-12-03 17:09:08 EST
That appears to have fixed the problem for me, thank you.

Note You need to log in before you can comment on or make changes to this bug.